# Reference

- [JSON API](https://docs.aviator.co/api/reference/json-api.md): Access Aviator's JSON API reference documentation.
- [GraphQL](https://docs.aviator.co/api/reference/graphql.md): Access GraphQL API Reference in the Aviator documentation.
- [Webhooks](https://docs.aviator.co/api/reference/webhooks.md): Get instructions on using webhooks with the Aviator developer collaboration suite. Your app can use webhooks to subscribe to events on your Aviator account.
- [Monitoring Metrics](https://docs.aviator.co/api/reference/monitoring-metrics.md): Aviator provides monitoring metrics for Prometheus. Monitor your queue length and GitHub API usage.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviator.co/api/reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
